import { request, uploadFile } from "@/utils/request";
export default {
	login(data:object) {
		return request({
			url: "/doctor/auth/loginByCode",
			method: "POST",
			data,
		});
	},
	logout() {
		return request({
			url: "/doctor/auth/logout",
			method: "POST",
		});
	},
	getCode(params:object) {
		return request({
			url: "/doctor/auth/sendSms",
			method: "POST",
			params,
		});
	},
	getUserPhone(data:object) {
		return request({
			url: "/doctor/auth/getUserPhone",
			method: "POST",
			data,
		});
	},
	apply(data:object) {
		return request({
			url: "/doctor/auth/apply",
			method: "POST",
			data,
		});
	}
};
